# Class JSVAppPro

java.lang.Object
jspecview.app.JSVApp
jspecview.app.JSVAppPro

All Implemented Interfaces:
  `JSVAppInterface, JSVAppletInterface, PanelListener, ScriptInterface, JSVInterface`

public class JSVAppPro extends JSVApp implements JSVInterface

Author:
  Bob Hanson

## Field Summary

### Fields inherited from class JSVApp

`appletFrame, appletReadyCallbackFunctionName, CREDITS, vwr`

## Constructor Summary

Constructors
Constructor
Description
`JSVAppPro(AppletFrame appletFrame, boolean isJS)`

## Method Summary

Modifier and Type
Method
Description
`void`
`exitJSpecView(boolean withDialog, Object frame)`
`boolean`
`isPro()`
`boolean`
`isSigned()`
`void`
`saveProperties(Properties properties)`
`void`
`setProperties(Properties properties)`
`void`
`siProcessCommand(String script)`
overloaded in JSVAppletPro

### Methods inherited from class JSVApp

`addHighlight, checkScript, dispose, doAdvanced, exportSpectrum, getAppletFrame, getAppletInfo, getCoordinate, getPropertyAsJavaObject, getPropertyAsJSON, getScriptQueue, getSolnColour, initParams, loadInline, panelEvent, print, removeAllHighlights, removeHighlight, repaint, reversePlot, runScript, runScriptNow, setCursor, setFilePath, setSpectrumNumber, setVisible, siCheckCallbacks, siExecHidden, siExecScriptComplete, siExecSetCallback, siExecTest, siGetNewJSVPanel, siGetNewJSVPanel2, siLoaded, siNewWindow, siNodeSet, siOpenDataOrFile, siSendPanelChange, siSetCurrentSource, siSetLoaded, siSetMenuEnables, siSetPropertiesFromPreferences, siSetSelectedPanel, siSourceClosed, siSyncLoad, siUpdateBoolean, siUpdateRecentMenus, siValidateAndRepaint, syncScript, syncToJmol, toggleCoordinate, toggleGrid, toggleIntegration, togglePointsOnly, updateJS, writeStatus`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface JSVInterface

`runScript, syncToJmol`

## Constructor Details

### JSVAppPro

public JSVAppPro(AppletFrame appletFrame, boolean isJS)

## Method Details

### isSigned

public boolean isSigned()

Specified by:
  `isSigned` in interface `JSVAppletInterface`
Specified by:
  `isSigned` in interface `ScriptInterface`
Overrides:
  `isSigned` in class `JSVApp`

### isPro

public boolean isPro()

Specified by:
  `isPro` in interface `JSVAppletInterface`
Overrides:
  `isPro` in class `JSVApp`

### exitJSpecView

public void exitJSpecView(boolean withDialog, Object frame)

Specified by:
  `exitJSpecView` in interface `JSVInterface`

### siProcessCommand

public void siProcessCommand(String script)
Description copied from class: `JSVApp`
overloaded in JSVAppletPro

Specified by:
  `siProcessCommand` in interface `ScriptInterface`
Overrides:
  `siProcessCommand` in class `JSVApp`
Parameters:
  `script` -

### saveProperties

public void saveProperties(Properties properties)

Specified by:
  `saveProperties` in interface `JSVInterface`

### setProperties

public void setProperties(Properties properties)

Specified by:
  `setProperties` in interface `JSVInterface`